Skip to main content
GET
Wallet - Net Worth By Tokens

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

tokenAddresses
string
required

A list of token addresses in string separated by commas (,). Maximum 100 token addresses allowed

Response

200 - application/json

Successful response

Wallet net-worth by tokens result (mirrors TS WalletNetWorthByTokensResult).

currentTimestamp
string
required

Current server timestamp

Example:

"2025-10-30T03:33:40.980Z"

data
object[]
required

List of token net-worth items

totalValueInNative
string
required

Total portfolio value in native token

Example:

"82.31"

totalValueInUsd
string
required

Total portfolio value in USD

Example:

"12345.67"

walletAddress
string
required

Wallet address

Example:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"